package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.FinanceClaim;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.FinanceClaimVO;
import com.dayou.vo.RealFundMajorStatVO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 实收款认领 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-12-08
 */
public interface FinanceClaimMapper extends CustomBaseMapper<FinanceClaim> {

    List<FinanceClaimVO> getList(@Param("realFundId") Long  realFundId);

    BigDecimal getTotalClaimAmountByProductionFundId(@Param("productionFundId") Long productionFundId);

    BigDecimal residueAmount(@Param("financeFundId") Long financeFundId);

    Page<RealFundMajorStatVO> majorStat(Page page,@Param("majorStat")  RealFundMajorStatVO majorStat);

    List<RealFundMajorStatVO> majorStatExport(@Param("majorStat") RealFundMajorStatVO majorStat);
}
